Get a webhook by ID
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
Retrieve detailed information about a specific webhook including its subscribed event triggers.
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
id*stringWebhook response
application/json- response
Webhook response
id*stringUnique webhook identifier
webhookUrl*stringURL that receives webhook events
secret*|Signing key for this endpoint. Deliveries carry X-Sajn-Signature: t=,v1=<hex hmac-sha256 over ".">
enabled*booleanWhether this webhook is active
failureNotificationEmail*|Email address that receives a notification if webhook delivery fails
eventTriggers*array<string>List of event types this webhook subscribes to
createdAt*stringDate and time when webhook was created
Format
date-timeupdatedAt*stringDate and time when webhook was last updated
Format
date-timecurl -X GET 'https://app.sajn.se/api/v1/webhooks/string' \ -H 'authorization: string'Example Response
{ "id": "string", "webhookUrl": "string", "secret": "string", "enabled": true, "failureNotificationEmail": "string", "eventTriggers": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Was this page helpful?